Skip to main content
POST
Chat Streaming V2

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenant
string | null
required

The domain of the customer

Example:

"example.com"

Body

application/json

V2 Chat request model with deprecated fields removed.

Changes from V1:

  • Removed library_id (use library_ids)
  • Removed document_id (use document_ids)
  • Removed view_params (not needed in v2)
  • Removed filters (handled internally)
  • Removed use_header_prefix (streaming format changed)
message
string
required

The message to be sent to the assistant

agent_id
string | null

The id of the agent to scope this chat request

conversation_id
string | null

The conversation ID of the chat message. If not provided, a new conversation will be created.

library_ids
string[] | null

Answer the question in the context of these libraries

document_ids
string[] | null

Answer the question in the context of these documents

view_id
string | null

Answer the question in the context of the view

timezone
default:0

Timezone of the user. If not provided we use UTC timezone. Accepts a minute offset (JavaScript getTimezoneOffset) or an IANA zone name

read_only
boolean
default:false

Disable tools that can modify documents for this request

locale
string | null

AODocs UI language; used when use_view_scope is enabled

search
ViewSearch · object | null

Current page search state; used when use_view_scope is enabled

Response

Successful Response